Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154607 - RHEL4-rg-bug: imap daemon reference is outdated
Summary: RHEL4-rg-bug: imap daemon reference is outdated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhel-sg
Version: 4.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan Lerch
QA Contact: Andrew Ross
URL: https://www.redhat.com/docs/manuals/e...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 23:35 UTC by Richard Bullington-McGuire
Modified: 2013-10-20 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-31 02:49:59 UTC


Attachments (Terms of Use)

Description Richard Bullington-McGuire 2005-04-12 23:35:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
The Reference Guide for RHEL 4 says that the IMAP daemon is in /usr/sbin/imapd. This is no longer true, since the imap package that contained the UW imap daemon.

This probably ought to mention that there are two alternatives for managing IMAP mail shipped in RHEL 4: dovecot and cyrus-imapd, and go into the relative merits of choosing one or the other.

Version-Release number of selected component (if applicable):
rhel-rg(EN)-4-HTML-RHI (2004-09-30T17:13)

How reproducible:
Always

Steps to Reproduce:
1. Look at the reference guide
2. Be confused by the reference to the non-existent /usr/sbin/imapd
3. 
  

Expected Results:  The manual should reflect the package set that ships with RHEL.

Additional info:

Comment 1 Michael Hideo 2007-03-07 01:48:36 UTC
need to verify in 4.5 and 5.0.0

Comment 2 Richard Bullington-McGuire 2007-04-10 18:20:24 UTC
The currently published, public RHEL 4 and 5 documentation shows that RHEL 4's
reference guide still has this problem, but RHEL 5's does not.

For RHEL 4, the Reference Guide version 4.2.0, published Oct 10, 2005, sections
"11.1.2.1. POP" and "11.1.2.2. IMAP" still reference the outdated UW imap RPM
and /usr/sbin/imapd and /usr/sbin/ipop3d programs that do not exist in RHEL 4.
See:  	

http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/ref-guide/ch-email.html#S1-EMAIL-PROTOCOLS

The RHEL 5 Deployment Guide 5.0.0, published Mar 14, 2007, indicates that Cyrus
imapd is now the default mail package for POP3 and IMAP access. See:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Deployment_Guide-en-US/ch-email.html#s2-email-protocols-send


Comment 4 Michael Hideo 2007-06-06 04:45:46 UTC
Adding 'cc ecs-dev-list@redhat.com for tracking

Comment 5 Michael Hideo 2007-07-09 01:28:29 UTC
Hi Richard,

Changed to:
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/en-US/Reference_Guide/s3-email-protocols-pop.html


(In reply to comment #2)
> The currently published, public RHEL 4 and 5 documentation shows that RHEL 4's
> reference guide still has this problem, but RHEL 5's does not.
> 
> For RHEL 4, the Reference Guide version 4.2.0, published Oct 10, 2005, sections
> "11.1.2.1. POP" and "11.1.2.2. IMAP" still reference the outdated UW imap RPM
> and /usr/sbin/imapd and /usr/sbin/ipop3d programs that do not exist in RHEL 4.
> See:  	
> 
>
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/ref-guide/ch-email.html#S1-EMAIL-PROTOCOLS
> 
> The RHEL 5 Deployment Guide 5.0.0, published Mar 14, 2007, indicates that Cyrus
> imapd is now the default mail package for POP3 and IMAP access. See:
> 
>
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Deployment_Guide-en-US/ch-email.html#s2-email-protocols-send
> 



Comment 6 Richard Bullington-McGuire 2007-07-09 14:10:08 UTC
It's still wrong in
<http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/en-US/Reference_Guide/s3-email-protocols-pop.html>.
. The POP page states:

The default POP server under Red Hat Enterprise Linux is /usr/sbin/ipop3d and is
provided by the dovecot package.

If it read, "The default POP server under Red Hat Enterprise Linux is
/usr/sbin/dovecot and is provided by the dovecot package.", it would be
accurate. There is no /usr/sbin/ipop3d in the dovecot package. The bits about
enabling the ipop3s service at the bottom of the page should also be edited to
reflect Dovecot configuration.

The IMAP page
<http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/en-US/Reference_Guide/s3-email-protocols-imap.html>
is also still wrong. It states:

The default IMAP server under Red Hat Enterprise Linux is /usr/sbin/imapd and is
provided by the imap package. 

The wording about imaps service at the bottom of that page also needs fixing.



Comment 7 Richard Bullington-McGuire 2007-07-09 14:13:22 UTC
The section on securing communications also needs fixing:

http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/en-US/Reference_Guide/s3-email-security-servers.html

It should be rewritten to reflect usage of dovecot instead of the old UW IMAP
programs.

Comment 8 Michael Hideo 2007-10-23 02:51:17 UTC
Removing automation notification


Note You need to log in before you can comment on or make changes to this bug.